<style type="text/css">
  .balloonoya {
    position: relative;
    /* 指定した分だけ相対的に移動 */
  }

  .balloonoya:hover .balloon {
    display: inline;
    /* インライン要素として表示 */
  }

  .balloon {
    position: absolute;
    /* 親要素を基準 */
    display: none;
    /* 要素を非表示 */
    padding: 2px;
    /* テキストの前後の余白 */
    background-color: rgba(26, 148, 255, 0.312);
    /* 背景色（透明度） */
    width: 180px;
    /* 吹き出し全体の幅 */
    left: 0%;
    /* 表示位置 */
    bottom: 100%;
    /* 表示位置 */
    margin-bottom: 12px;
    /* 表示位置 */
    font-size: 80%;
    /* 文字サイズ */
  }

  .balloon:after {
    border-top: 12px solid rgba(26, 148, 255, 0.312);
    /* 吹き出し口の高さ・色 */
    border-left: 10px solid transparent;
    /* 吹き出し口の幅１／２ */
    border-right: 10px solid transparent;
    /* 吹き出し口の幅１／２ */
    bottom: -12px;
    /* 吹き出し口の位置調整 */
    left: 5%;
    /* 吹き出し口の横位置 */
    content: "";
    /* コンテンツの挿入 */
    position: absolute;
    /* 親要素を基準 */
  }
</style>

<div class="container">
  <div class="row align-items-left justify-content-left">
    <div class="col">

      <table class="table table-sm toppage" style="font-size: 10pt;">
        <div style="text-align: center; font-size: 14px;">
          <ul class="page-list">
            {% if table_docs['now_cnt']!=0 %}
            <li style="display: inline;">
              <a href="{{ url_for('toppage_api.show_scans', p=0, keywords=table_docs['keywords'], match=table_docs['match']) }}">&#8810;</a>
            </li>
            {% endif %}
            {% for i in table_docs['cnt'] %}
             {% if i==table_docs['now_cnt'] %}
              <li style="display: inline-flex; justify-content: center; align-items: center; flex-flow: column; vertical-align: top; inline; height: 20px; width: 20px; border-radius: 50%; line-height: 20px; background: #FFEEAA; text-align: center; font-size: 14pt">
              {% else %}
              <li style="display: inline;">
              {% endif %}
	              <a href="{{ url_for('toppage_api.show_scans', p=i,keywords=table_docs['keywords'], match=table_docs['match']) }}">{{i+1}}</a>
              </li>
            {% endfor %}
            {% if table_docs['now_cnt']!=table_docs['max_cnt'] %}
            <li style="display: inline;">
              <a href="{{ url_for('toppage_api.show_scans', p=table_docs['max_cnt'],keywords=table_docs['keywords'], match=table_docs['match']) }}">&#8811;</a>
            </li>
            {% endif %}
          </ul>
        </div>
        <thead class="table-light">
          <tr>
            <th scope="col" rowspan=2 style="word-wrap:break-word; text-align:left;">Module Name</th>
            <th scope="col" rowspan=2 style="word-wrap:break-word; text-align:left;">Chip Name</th>
            <th scope="col" colspan=5 style="word-wrap:break-word; text-align:left;">Test Data</th>
            <div class="balloonoya">
              <th scope="col" colspan=1 rowspan=2 style="word-wrap:break-word; text-align:left;">
                <div class="balloonoya">Tag <i class="fa fa-question-circle "></i>:
                  <form action="{{ url_for('tag_api.create_tag') }}" style="display: inline-block; margin: 0%;">
                    <button class="btn btn-outline-dark btn-sm" style="padding-top:0; padding-bottom:0; font-size: 90%;">Creat</button>
                  </form>
                  <span class="balloon">
                    Create tag with the Link. <br>
                    Attach tags with pulldown menu. <br>
                    Detach tags by chosing a tag twice.
                  </span>
              </th>
            </div>
          </tr>
          <tr>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Test Type</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">User</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Site</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Date</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Link</th>
          </tr>
        </thead>
        <tbody>
          {% for run_data in table_docs["run"] %}
            {% if run_data['run_data']['plots'] %}
            <tr>
            {% else %}
            <tr style="background: #AABBCC;" name="test-table" disabled="disabled">
            {% endif %}
                <td style="word-wrap:break-word; text-align:left;">
                  {% for component in run_data['run_data']['components'] %}
                    {% if component['chip_id']=='module' %}
                      <a href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection']) }}"><font>{{component['name']}}</font><br></a>
                    {% endif %}
                  {% endfor %}
                </td>
                <td style="word-wrap:break-word; text-align:left;">
                {% for component in run_data['run_data']['components'] %}
                  {% if not component['chip_id']=='module' %}
                    {% if component['enabled'] %}
                    <a href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection']) }}"><font>{{component['name']}}</font></a><br>
                    {% else %}
                    <font color="BBBBBB">{{component['name']}}</font><br>
                    {% endif %}
                  {% endif %}
                {% endfor %}
                </td>
                <td style="word-wrap:break-word; text-align:left;">{{ run_data['run_data']["testType"] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ run_data['run_data']["user"] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ run_data['run_data']["site"] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ run_data['run_data']["datetime"] }}</td>
                <td style="word-wrap:break-word; text-align:left;">
                  {% set hoge = [] %}
                  {% for component in run_data['run_data']['components'] %}
                  {% if component['chip_id']=='module' %}
                  {% set _ = hoge.append(0)%}
                  <a href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection'], test='electrical', runId=run_data['run_data']['_id']) }}">result page</a>
                  {% endif %}
                  {% endfor %}
                  {% if not hoge %}
                    <a href="{{ url_for('component_api.nomodule_result', test='electrical', runId=run_data['run_data']['_id']) }}">result page</a>
                  {% endif %}
                </td>
                <td style="word-wrap:break-word; text-align:left;">
                  {% if session['logged_in'] %}
                    <form method="post" action="{{ url_for('tag_api.put_tag', runId=run_data['run_data']['_id']) }}" style="margin-bottom: 0%;">
                    <select id='tag_name' name='tag_name' onchange="this.form.submit();">
                    <option selected="selected" value="">Tag List</option>
                    {% for tag in run_data['run_data']['testRun_tag_candidate'] %}
                      <option value={{tag['name']}}>{{ tag['name'] }}</option>
                    {% endfor %}
                    </select>
                    </form>
                  {% endif %}
                  {% for tag in run_data['run_data']['testRun_tag'] %}
                    <i class="fa fa-tag"></i> {{ tag['name'] }}<br>
                  {% endfor %}
                </td>
            </tr>
          {% endfor %}
        </tbody>
      </table>

      <form action="">
      <p style="font-size: 8pt;" align="right">
        <input type="checkbox" name="chk1" onclick="setHide('test-table', this.checked)" />
        Hide failed test results.
      </p>
      </form>

    </div>
  </div>
</div>
